﻿dofile(ModPath .. "menu/menu.lua")

Hooks:Add("LocalizationManagerPostInit", "zeal_tiers_localize_menu", function(loc)
	loc:load_localization_file(ZEALTierSelector.modpath .. 'menu/english.txt', false)
end)

Hooks:Add("MenuManagerInitialize", "zeal_tiers_init_menu", function(menu_manager)
	MenuCallbackHandler.zeal_tiers_save = function(this, item)
		ZEALTierSelector:Save()
	end
	MenuCallbackHandler.zeal_tiers_activated_callback = function(this, item)
		ZEALTierSelector.settings[item:name()] = item:value() == "on"
		ZEALTierSelector:Save()
	end
	MenuCallbackHandler.zeal_tiers_tier_callback = function(this, item)
		ZEALTierSelector.settings.tier = tonumber(item:value())
		ZEALTierSelector:Save()
	end
	MenuCallbackHandler.zeal_tiers_gensec_rifle_callback = function(this, item)
		ZEALTierSelector.settings.gensec_rifle = tonumber(item:value())
		ZEALTierSelector:Save()
	end
	MenuCallbackHandler.zeal_tiers_gensec_shotgun_callback = function(this, item)
		ZEALTierSelector.settings.gensec_shotgun = tonumber(item:value())
		ZEALTierSelector:Save()
	end
	MenuCallbackHandler.zeal_tiers_zeal_marksman_callback = function(this, item)
		ZEALTierSelector.settings[item:name()] = item:value() == "on"
		ZEALTierSelector:Save()
	end

	ZEALTierSelector:Load()

	MenuHelper:LoadFromJsonFile(ZEALTierSelector.modpath .. "menu/menu.txt", ZEALTierSelector, ZEALTierSelector.settings)
end)