﻿dofile(ModPath .. "menu/menu.lua")

--Affects the Skulldozer modifier in Crime Spree and Holdout
Hooks:PostHook(ModifierSkulldozers, "init", "zeal_tiers_init", function(self, data)
	--Adds ZEAL Skulldozers while ZEAL Tier Selector is active
	if ZEALTierSelector.settings.activated == true then
		table.insert(tweak_data.group_ai.unit_categories.FBI_tank.unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer/ene_zeal_bulldozer"))
	end
	--Removes regular Skulldozers while ZEAL tier is picked
	if ZEALTierSelector.settings.activated == true and ZEALTierSelector.settings.tier == 1 then
		table.delete(tweak_data.group_ai.unit_categories.FBI_tank.unit_types.america, Idstring("units/payday2/characters/ene_bulldozer_3/ene_bulldozer_3"))
	end
end)