﻿if not ZEALTierSelector then
	_G.ZEALTierSelector = {}
	ZEALTierSelector.modpath = ModPath
	ZEALTierSelector.settings = {
		activated = true,
		tier = 1,
		gensec_rifle = 1,
		gensec_shotgun = 1,
		zeal_marksman = false
	}

	function ZEALTierSelector:Save()
		local file = io.open(SavePath .. 'zeal_tier_selector.txt', 'w+')
		if file then
			file:write(json.encode(ZEALTierSelector.settings))
			file:close()
		end
	end

	function ZEALTierSelector:Load()
		local file = io.open(SavePath .. 'zeal_tier_selector.txt', 'r')
		if file then
			for k, v in pairs(json.decode(file:read('*all')) or {}) do
				ZEALTierSelector.settings[k] = v
			end
			file:close()
		end
	end

		ZEALTierSelector:Load()
	ZEALTierSelector:Save()	
end